Bug 1264435 - ovirt-engine-wildfly should be added to version locking
ovirt-engine-wildfly should be added to version locking
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Setup.EngineCommon (Show other bugs)
3.6.0
Unspecified Unspecified
high Severity medium (vote)
: ovirt-3.6.0-ga
: 3.6.0
Assigned To: Simone Tiraboschi
Gonza
integration
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 09:11 EDT by Sandro Bonazzola
Modified: 2015-11-04 06:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
We're currently using ovirt-engine-wildfly-8.2.0 final in 3.6 and we're already going to test 10 CR1 on master. We don't want that a casual yum update / dnf update may break the running engine. So we need to lock the version of ovirt-engine-wildfly as well and allow the setup to take care of the update.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:21:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
bmcclain: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 46745 ovirt-engine-3.6 ABANDONED packaging: setup: conflict ovirt-engine-wildfly >= 9 Never
oVirt gerrit 46856 master MERGED packaging: setup: using versionlock for ovirt-engine-wildfly Never
oVirt gerrit 46891 ovirt-engine-3.6 MERGED packaging: setup: using versionlock for ovirt-engine-wildfly Never
oVirt gerrit 46899 master MERGED packaging: setup: relying on %{jboss} variable Never
oVirt gerrit 46904 ovirt-engine-3.6.0 MERGED packaging: setup: using versionlock for ovirt-engine-wildfly Never

  None (edit)
Description Sandro Bonazzola 2015-09-18 09:11:11 EDT
We're currently using ovirt-engine-wildfly-8.2.0 final in 3.6 and we're already going to test 10 CR1 on master.
We don't want that a casual yum update / dnf update may break the running engine.
So we need to lock the version of ovirt-engine-wildfly as well and allow the setup to take care of the update.
Comment 1 Yedidyah Bar David 2015-09-21 09:17:26 EDT
Isn't it enough to Conflict?
Comment 2 Gonza 2015-10-20 10:14:42 EDT
Verified with:
ovirt-engine-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch

# cat /etc/yum/pluginconf.d/versionlock.list
ovirt-engine-webadmin-portal-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch
ovirt-engine-wildfly-8.2.0-1.el6.x86_64
ovirt-engine-restapi-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch
ovirt-engine-dbscripts-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch
ovirt-engine-userportal-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch
ovirt-engine-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch
ovirt-engine-backend-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch
ovirt-engine-wildfly-overlay-001-2.el6.noarch
ovirt-engine-tools-3.6.1-0.0.master.20151019163841.gitacec65b.el6.noarch
Comment 3 Sandro Bonazzola 2015-11-04 06:21:59 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.